Resource

Monitor Probe

Add probes to monitor your resource from multiple locations around the world.

The Monitor Probe Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Status200 Project in which this object belongs

  • Name
    probe
    Type
    Probe
    Description

    Relation to Probe Resource in which this object belongs

  • Name
    probeId
    Type
    Object IDRequired
    Description

    ID of your Status200 Probe in which this object belongs

  • Name
    monitor
    Type
    Monitor
    Description

    Relation to Monitor Resource in which this object belongs

  • Name
    monitorId
    Type
    Object IDRequired
    Description

    ID of your Monitor in which this object belongs

  • Name
    lastPingAt
    Type
    Date
    Description

  • Name
    nextPingAt
    Type
    Date
    Description

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    isEnabled
    Type
    BooleanRequired
    Description

  • Name
    lastMonitoringLog
    Type
    JSON
    Description

GETorPOST/api/monitor-probe/get-list

List

This endpoint allows you to retrieve a paginated list of all your Monitor Probe. By default, a maximum of ten Monitor Probe are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/monitor-probe/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "isEnabled": true,
    "monitorId": true,
    "probeId": true,
    "projectId": true,
    "createdByUser": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37753b30-28fe-11f1-b591-3fdcef396aba",
      "isEnabled": true,
      "monitorId": "2c3d4e5f-6a7b-8c9d-0e1f-2a3b4c5d6e7f",
      "probeId": "a1b2c3d4-e5f6-7890-ab12-cd3456ef7890",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "3d4e5f6a-7b8c-9d0e-1f2a-3b4c5d6e7f8a"
    },
    {
      "_id": "37753b31-28fe-11f1-b591-3fdcef396aba",
      "isEnabled": true,
      "monitorId": "2c3d4e5f-6a7b-8c9d-0e1f-2a3b4c5d6e7f",
      "probeId": "a1b2c3d4-e5f6-7890-ab12-cd3456ef7890",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "3d4e5f6a-7b8c-9d0e-1f2a-3b4c5d6e7f8a"
    },
    {
      "_id": "37753b32-28fe-11f1-b591-3fdcef396aba",
      "isEnabled": true,
      "monitorId": "2c3d4e5f-6a7b-8c9d-0e1f-2a3b4c5d6e7f",
      "probeId": "a1b2c3d4-e5f6-7890-ab12-cd3456ef7890",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "3d4e5f6a-7b8c-9d0e-1f2a-3b4c5d6e7f8a"
    }
  ]
}
GETorPOST/api/monitor-probe/:id/get-item

Get item by ID

This endpoint allows you to retrieve Monitor Probe by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/monitor-probe/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "isEnabled": true,
    "monitorId": true,
    "probeId": true,
    "projectId": true,
    "createdByUser": true
  }
}

Response

{
  "_id": "37753b30-28fe-11f1-b591-3fdcef396aba",
  "isEnabled": true,
  "monitorId": "2c3d4e5f-6a7b-8c9d-0e1f-2a3b4c5d6e7f",
  "probeId": "a1b2c3d4-e5f6-7890-ab12-cd3456ef7890",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUser": "3d4e5f6a-7b8c-9d0e-1f2a-3b4c5d6e7f8a"
}
POST/api/monitor-probe/count

Count

This endpoint allows you to retrieve the count of all your Monitor Probe.

Optional Request Body

Count Request

POST
/api/monitor-probe/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/monitor-probe

Create Monitor Probe

This endpoint allows you to create a new object.

Create Request

POST
/api/monitor-probe
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "isEnabled": true,
    "monitorId": "2c3d4e5f-6a7b-8c9d-0e1f-2a3b4c5d6e7f",
    "probeId": "a1b2c3d4-e5f6-7890-ab12-cd3456ef7890",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUser": "3d4e5f6a-7b8c-9d0e-1f2a-3b4c5d6e7f8a"
  }
}

Response

{
  "_id": "37753b30-28fe-11f1-b591-3fdcef396aba",
  "isEnabled": true,
  "monitorId": "2c3d4e5f-6a7b-8c9d-0e1f-2a3b4c5d6e7f",
  "probeId": "a1b2c3d4-e5f6-7890-ab12-cd3456ef7890",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUser": "3d4e5f6a-7b8c-9d0e-1f2a-3b4c5d6e7f8a"
}
PUT/api/monitor-probe/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/monitor-probe/:id/update-item
GET/api/monitor-probe/:id/update-item

Update Request

PUT
/api/monitor-probe/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "isEnabled": true
  }
}

Response

{}
DELETE/api/monitor-probe/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/monitor-probe/:id/delete-item
GET/api/monitor-probe/:id/delete-item

Delete Request

DELETE
/api/monitor-probe/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Monitor Probe

  • Project Owner
  • Project Admin
  • Project Member
  • Read Monitor Probe
  • Read All Project Resources

Create Permissions

Required to create Monitor Probe

  • Project Owner
  • Project Admin
  • Create Monitor Probe

Update Permissions

Required to update Monitor Probe

  • Project Owner
  • Project Admin
  • Edit Monitor Probe

Delete Permissions

Required to delete Monitor Probe

  • Project Owner
  • Project Admin
  • Delete Monitor Probe